Show / Hide Table of Contents

# Struct StdMap<TKey, TValue>.Enumerator

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.STD

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public ref struct Enumerator

### Properties

| Improve this Doc View Source

#### Current

##### Declaration

    public readonly ref readonly StdPair<TKey, TValue> Current { get; }

##### Property Value

Type | Description
--- | ---
StdPair<TKey, TValue> |

### Methods

| Improve this Doc View Source

#### MoveNext()

##### Declaration

    public bool MoveNext()

##### Returns

Type | Description
--- | ---
System.Boolean |